# Archetypes imports
from Products.Archetypes.atapi import *

# Product imports
from Products.MyMessage.config import PROJECTNAME

# Schema definition
schema = BaseSchema.copy() + Schema((
    DateTimeField('Date'),
    BooleanField('IsImportant'),
    BooleanField('BringBeer'),
    ImageField('Image'),
    TextField('Message',
              widget=TextAreaWidget()),
    ))

class MyMessage(BaseContent):
    """An Archetype for MyMessage application"""

    schema = schema
    _at_rename_after_creation = True

registerType(MyMessage, PROJECTNAME)
